- name: "Create status cache directory"
  file:
    path: "{{ proxysql_status_cache_directory }}"
    state: directory
    recurse: yes

- name: "Create or remove ramdisk"
  mount:
    src: tmpfs
    path: "{{ proxysql_status_cache_directory }}"
    fstype: tmpfs
    opts: "size=4M" # 4M should be enough for anybody!
    state: "{{ 'mounted' if proxysql_status_cache_ramdisk else 'absent' }}"
